function s = SPECTROGRAMMEinverse(AbsS,PhaS)
N  = size(AbsS,1); LS = size(AbsS,2);
s  = zeros((LS+7)*N/8,1); wind_N = (window('hm',N))'; 
for k=1:LS
    swhat = AbsS(:,k).*exp(%i*PhaS(:,k));
    sw    = real(fft(swhat,1));
    s(1+(k-1)*N/8:(k+7)*N/8) = s(1+(k-1)*N/8:(k+7)*N/8)+wind_N.*sw;
end 
Swind = zeros(2*N,1);  
for k=1:4 
    Swind(1+(k-1)*N/8:(k+7)*N/8) = Swind(1+(k-1)*N/8:(k+7)*N/8) + wind_N; 
end 
s = s'/max(Swind); 
endfunction
