function [AbsS,PhaS,S] = SPECTROGRAMME(s,N)
Ls   = size(s,1);     LS = floor(8*Ls/N)-7;
AbsS = zeros(N,LS); PhaS = zeros(N,LS);
S    = zeros(N,LS); wind_N = hamming(N); 
for k = 1:LS
    sw     = s(1+(k-1)*N/8:(k+7)*N/8).*wind_N;
    swhat  = fft(sw);
    S(:,k) = swhat; AbsS(:,k) = abs(S(:,k)); PhaS(:,k) = phase(S(:,k)); 
end
end

