function [ELx,SDLx,P] = polyfit_norm(Lx,Ly,d) 
    Lx = Lx(:); Ly = Ly(:);
    ELx = mean(Lx); SDLx = stdev(Lx);  
    Lx  = (Lx - ELx)/SDLx; 
    M  = (Lx*ones(1,d+1)).^(ones(Lx)*(0:d));
    M  = M(:,$:-1:1); P  = M\Ly; P  = conj(P)'; 
endfunction
