function P = PRODUITPOLnumsci(P1,P2)
C1   = coeff(P1); C2 = coeff(P2); symb = varn(P1);        
N1   = length(C1); N2 = length(C2); 
q    = ceil(1 + log(max(N1,N2)+1)/log(2)); 
U    = [C1, zeros(1,2^q - N1)]; 
V    = [C2, zeros(1,2^q - N2)]; 
Uhat = fft(U,-1); 
Vhat = fft(V,-1); 
L    = fft(Uhat.*Vhat,1);
P    = poly(L(1:N1+N2-1),symb,"coeff");  
endfunction

