function [AbsS,PhaS,S] = SPECTROGRAMME(s,N)
Ls   = size(s,2);     LS = floor(8*Ls/N)-7;
AbsS = zeros(N,LS); PhaS = zeros(N,LS);
S    = zeros(N,LS); wind_N = window('hm',N); 
for k = 1:LS
    sw     = s(1+(k-1)*N/8:(k+7)*N/8).*wind_N;
    swhat  = conj(fft(sw,-1))';
    S(:,k) = swhat;
end
AbsS = abs(S);
PhaS = atan(imag(S),real(S));  
endfunction 
