function P = PRODUITPOLnum(P1,P2) 
N1  = length(P1); N2 = length(P2); 
q   = ceil(1 + log(max(N1,N2)+1)/log(2)); 
U   = [fliplr(P1), zeros(1,2^q - N1)]; 
V   = [fliplr(P2), zeros(1,2^q - N2)]; 
W   = ifft(fft(U).*fft(V)); 
P   = fliplr(W(1:N1+N2-2));   
end

