function [x,y,iter] = NEWTON(eps,init,pol,Niter)
    // methode de Newton avec test d'arret 
    // l'entree f doit etre declaree comme une 
    // entree polynomiale (fonction poly)
diffpol = derivat(pol); x = init;  
e  = 2*eps; iter = 0; 
while iter < Niter & e > eps   
   u = horner(pol,x); v = horner(diffpol,x);
   if abs(v)<eps then
       xnew = x; e = 0; 
   else 
       xnew = x - u./v; e = norm(xnew-x); 
   end
x = xnew; iter = iter +1;         
end
y = horner(pol,x);  
endfunction
