function [U,iter,err]= EQUILIBRE(ADJ,kappa,Niter)
    [N,N] = size(ADJ); GG = ADJPOND(ADJ); U = [1,zeros(1,N-1)]
    GGkap = (1-kappa)/N * ones(N,N) + kappa*GG; 
    err   = norm(U*GGkap-U,%inf)/(1-kappa); iter = 0
    while (err>%eps) & (iter < Niter)
        U_old = U; U = U_old*GGkap; 
        err   = kappa*err; iter = iter + 1;  
    end        
endfunction
