function [lambd,Vp,iter,err] = METHODEPUISSANCE(A,epsilon,tol,Niter)
[N,N]  = size(A);      
X0     = 2*tol*(rand(N,1,"uniform")-1/2);   
X0     = X0/norm(X0); Vp = X0; lambd = X0'*A*X0;   
err    = 2*epsilon ; iter = 0;  
while (err > epsilon) & iter < Niter   
Vpaux  = A*Vp; Vp = Vpaux/norm(Vpaux);  
lambd  = Vp'*A*Vp; err    = norm(A*Vp-lambd*Vp); 
iter   = iter + 1;  
end              
endfunction
