function [temps,Y] = EULEREXPLICITEMOD(t0,y0,T,N,f) 
h = T/N ; temps = [t0]; Y = [y0]; 
for k = 1:N 
  taux = temps(k) + h/2; 
  yaux = Y(k) + h*f(temps(k),Y(k))/2;     
  y    = Y(k) + h*f(taux,yaux); 
  temps  = [temps,temps(k)+h]; Y  = [Y,y];
end    
endfunction   
